Subject: Re: question about resume support.

From: drathir87 <[email-masked]>
Date: Wed, 25 Feb 2015 19:52:16 +0100

Thanks a lot good to know that and that's true little hard to do bc even
if track always the latest version some repositories change so fast
and will be needed some kind od eg. snapshot of user repository by
auto script eg once at 12-24h and that resume data served from
that snapshot and after download that snapshot update with pull
method... Again thanks a lot...  

On Sun, 22 Feb 2015 16:53:12 +0100
Kevin Daudt <[email-masked]> wrote:

> On Sat, Feb 21, 2015 at 08:01:27PM +0100, [email-masked] wrote:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA512
> > 
> > Hi... Im wonder there is planned or maybe there is support of
> > resuming interrupted git operation e.g. cloning repositories? Not
> > sure about how hard that could be to implement, but greatly should
> > decrease of bandwidth used by persons with weak network
> > connection... -----BEGIN PGP SIGNATURE-----
> > 
> > iQJ8BAEBCgBmBQJU6NYHXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
> > ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXRFMEZBMTE5Mjc5MTM0QTZFNDdGRTk3MEZB
> > RUEzMzk3NTlGNjNCMEZDAAoJEK6jOXWfY7D8CXsP/37F3cHNVgrNj+xzeR1H38xQ
> > q5zSLNMUYr771gUXBac/p8MfDYlS7gKwRV4Bxhl8AmfH9q28ybj4UFp+5A9u1mKF
> > E4rrMJE4mrwf/dOeYHMd4EK7aCFrEl9DVnD6uXlQ+QC6qQ23LyR2WHVX3u1a6EQV
> > tsFIuGLh1kBATWt2/Fim60BqI6P3/PX0gB2R+gPdnm5vG3cY5iNSw/UgZUbRNmMa
> > QgzBwpxNOTqlJ3GQ9cWgL5CH83VrFmjqHqa8xbVd2ATVaWXTk4pDJFBBafSNJg8s
> > RMumCGpWmMYBEtAJY/UgE32F2ms7ravLOY0hj9PCoW0FH+czdI9ZNQ8jvdThMByp
> > +6mHqU2SyYoetnBclcgSrOMdkiCivWB7GaOBscA5E1MM3FpQBdJSBrDlq5yhs9WG
> > uKhyBpts9+9IdiUPvd4ej4CVXXsE9/FKAEK7+ilr7HsLbRr0vXeAiWA7q+k+Avce
> > Ih8nwt9onAM37OH7BoW8va/4g/3yHr9EaYFg7ea9hJYUomVY3l/mIQxeG+KPFZnC
> > XnCVAEMSeMujwjIKqHUEWS8RuHOlxS+q8TEZS7caR/8ausondbQuYK4HLsVhiwFZ
> > AklwtLBmoIR2yNFn+NKfDOw1RWPsvHSN7yKEQIe+SdUEDDS8QvhfCeKDVSD77ezX
> > BpXSPfNLMDYqZNp5f+NB
> > =+Bnw
> > -----END PGP SIGNATURE-----
> 
> While not the best solution, what's currently possible is to provide
> an initial git bundle that is regularly updated which can be
> downloaded through other protocols that do provide resumption. Users
> can use that to setup the repository, and then use the normal git
> protocol to get the latest updates.
> 
> The reason this is not easy to facilitate is that the packs git
> generates are only generated in-memory. These packs would need to be
> cached on disk and somehow have a mapping to the user that downloaded
> that pack. Also there would need to be some kind of way to expire
> these cached packs. The protocol would need to be updated to indicate
> a users wants to resume a clone (or fetch) and what parts are still
> missing, and probably lots of other details I'm missing.
> 
> Kevin